Rewriting host(1) in C++ from scratch using BIND 10's libdns.

Initial functionality:

  host _hostname_ [server]

By default, it looks up the A, AAAA, and MX record sets.

Note it doesn't use /etc/resolv.conf at this time.
The default name server used is 127.0.0.1.

  -r	 	disable recursive processing
  -t _type_	specific query type 
  -v		enable verbose output mode, including elapsed time
